Subject: [DNA] RE: Last Call: 'Link-layer Event Notifications for Detecting Network Attachments' to Informational RFC (draft-ietf-dna-link-information)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 02 Jan 2007 17:19:48 +0200

Sam, you are correct that there the management entities on bridges can
be looked at as hosts that also do bridging. This is however an
exception, and to the best of my understanding the document targets the
general case of attached hosts. To your second point, I am not aware
about operating systems that use bridging and run STP between interfaces
on hosts (again, bridges themselves excluded) but I may not know all. 

Dan

> -----Original Message-----
> From: Sam Hartman [mailto:[email-masked]] 
> Sent: Tuesday, January 02, 2007 5:03 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Last Call: 'Link-layer Event Notifications for 
> Detecting Network Attachments' to Informational RFC 
> (draft-ietf-dna-link-information)
> 
> Dan, while I agree that only bridges run STP, there are 
> devices that are both hosts and bridges.  First, most bridges 
> have management interfaces.  Second, it's actually reasonably 
> common to get a consumer operating system into a mode where 
> it is bridging (or considering
> bridging) two ports together and thus participates in the STP 
> instance.
>